<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\UserSNSModel;

class UserSNSEntity extends CommonEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}|{$this->getID()}|{$this->getTitle()}";
    }
    public function getTitle(): string
    {
        return $this->attributes[UserSNSModel::TITLE];
    }
    public function setTitle(string $title): void
    {
        $this->attributes[UserSNSModel::TITLE] = $title;
    }
    //Common Function

    public function getPK(): int
    {
        return $this->attributes[UserSNSModel::PK];
    }
    public function getSite(): string
    {
        return $this->attributes['site'];
    }
    public function getID(): string
    {
        return $this->attributes['id'];
    }
    public function getEmail(): string
    {
        return $this->attributes['email'];
    }
}
